/**
 * 表示收据系统中的付款人。
 */
interface PayerEntity {
	/**
	 * 付款人的唯一标识符。由数据库生成。
	 */
	id: number;

	/**
	 * 付款人的名称。
	 */
	name: string;

	/**
	 * 付款人的地址。
	 */
	address: string;

	/**
	 * 付款人的澳大利亚商业号码（ABN）。
	 * 该字段是可选的。
	 */
	abn?: string;

	/**
	 * 付款人的电子邮件地址，用于自动地将收据发送给付款人。
	 */
	email: string;
}